---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Attach Chargers to backplates

Manually attach chargers to specified backplates on a site.  Rate limited to max 5 requests per 24 hours

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Site",
      "x-displayName": "Site"
    }
  ],
  "paths": {
    "/api/sites/{siteId}/chargers": {
      "put": {
        "tags": [
          "Site"
        ],
        "summary": "Attach Chargers to backplates",
        "description": "Manually attach chargers to specified backplates on a site.  Rate limited to max 5 requests per 24 hours",
        "operationId": "Site_AttachChargersToBackPlates",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "required": true,
            "description": "Site ID",
            "schema": {
              "type": "string"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "attachChargersToBackPlatesDTO",
          "description": "List of chargers and their connected backplates",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Easee_Cloud_API_AttachChargersToBackPlatesDTO"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "202": {
            "description": "Charger Array"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Easee_Cloud_API_AttachChargersToBackPlatesDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "chargerBackPlates": {
            "type": "array",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/Easee_Cloud_API_AttachChargerBackPlateDTO"
            }
          }
        }
      },
      "Easee_Cloud_API_AttachChargerBackPlateDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "chargerId": {
            "type": "string",
            "nullable": true
          },
          "backPlateId": {
            "type": "string",
            "nullable": true
          },
          "pinCode": {
            "type": "string",
            "nullable": true
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```